/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ChestCalcificationDescriptor
 */
public enum EnumCV_ChestCalcificationDescriptor 
{
	//CID 6132 Chest Calcification Descriptor
	//Chest Calcification Descriptor - CID 6132
		EGGSHELL_CALCIFICATION_F_01763("F-01763"),
		COARSE_POPCORN_LIKE_CALCIFICATION_F_01761("F-01761"),
		TARGET_112162("112162"),
		LAMINATED_G_A405("G-A405"),
		FIBROCALCIFIC_112163("112163"),
		FLOCCULENT_112164("112164"),
		NODULAR_R_403A7("R-403A7"),
		OSSIFICATION_F_12100("F-12100");

	private String value;

	EnumCV_ChestCalcificationDescriptor(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
